//  Module: BCWIZ.CPP

//                                                   September 20, 1993
//                                                   Fairfield, Iowa

//          Aerosoft  (R)  Broadcast Channel Wizard   Version 1.0
//          Copyright (c)  Aerosoft 1993     All rights reserved.

//          This software source code is FREEWARE.  You may be use the
//          source code or redistribute the source code free of charge.
//          However, you cannot sell this source code or any alteration of
//          the source code.

//  This is the main module for the BCWIZ program.  See file BCWIZ.TXT for
//  design notes about this program.

#include    <stdio.h>
#include    <process.h>

#include    "CHNLSPEC.H"
#include    "CODEGEN.H"

void main (int argc, char *argv[])
{
    printf(
       "\n    Aerosoft  (R)  Broadcast Channel Wizard   Version 1.0");
    printf(
       "\n    Copyright (c)  Aerosoft 1993     All rights reserved.\n\n");
       
    if (argc != 2)
    {
        printf("Usage: BCWIZ <channel spec file name>\n");
        exit(0);
    }

    InStream     oInStream(argv[1]);
    
    ChannelSpecs oChannelSpecs;

    while (oChannelSpecs.GetNextChannelSpec(oInStream));

    GenCHNNLDEF_H(oChannelSpecs);
    GenBRDCASTR_CPP(oChannelSpecs);
    GenBRDCASTR_H(oChannelSpecs);
    GenAPP_CPP(oChannelSpecs);
    printf("    *** Broadcast Channel Wizard Completion ***\n");
}
