#ifndef	_channel_h_
#define	_channel_h_

//	Module:	CHANNEL.H

#define CHANNEL_OK                  0
#define CHANNEL_EMPTY               1
#define CHANNEL_CONNECT_FAIL        -1
#define	CHANNEL_DISCONNECT_FAIL     -2

#define MAXRECEIVERS        10

class Channel
{
	int iStatus;
    int iNumInList;
    int iTerate;
    void *opList[MAXRECEIVERS];
    int Find (void *opReceiver);
    void Remove (int idx);
public:
    Channel (void) {iNumInList=0; iStatus=CHANNEL_EMPTY;}
    int Status (void) {return iStatus;}
    int Add (void *opReceiver);
    int Delete (void *opReceiver);
    void *First (void);
    void *Next (void);
};

#endif
