#ifndef _chnnldef_h_
#define _chnnldef_h_

//  Module: CHNNLDEF.H

class WindData {
public:
virtual void ReceiveWindData (int iSpeed, int iDirection)=0;
};

class AirData {
public:
virtual void ReceiveAirData (int iTemperature,
         int iBarometricPressure,
         int iHumdity)=0;
};

class TornadoWarning {
public:
virtual void ReceiveTornadoWarning (void)=0;
};

#endif
