//  Module: MAIN.CPP

//  ---- Example: Broadcasting with one producer and four consumers ----

#include    <stdio.h>

#include    "PRODUCER.H"
#include    "CONSUMER.H"

void main (void)
{
    WeatherStation oWeatherStation;                 // Producer
    
    Airport *opAirport1 = new Airport("Fairfield"); // Consumer #1
    
    oWeatherStation.Broadcast();
    
    FireDepartment *opFireDept = new FireDepartment;// Consumer #2
    
    oWeatherStation.Update();
    
    {
        School oSchool;                             // Consumer #3
        oWeatherStation.TornadoWarning();
    }                                               // Consumer #3 deleted
    
    oWeatherStation.TornadoWarning();
    
    Airport *opAirport2 = new Airport("Ottumwa");   // Consumer #4
    
    oWeatherStation.Update();
    
    delete opAirport1;                              // Consumer #1 deleted
    
    oWeatherStation.Update();
    
    delete opFireDept;                              // Consumer #2 deleted
    
    oWeatherStation.Update();
    
    delete opAirport2;                              // Consumer #4 deleted
    
    oWeatherStation.Update();                       // No consumers left
}
