//  Module: PRODUCER.CPP

#include    <stdlib.h>
#include    "PRODUCER.H"

void WeatherStation::ReadSensors (void)         // Simulation
{
    iSpeed = rand()%100;
    iDirection = rand()%360;
    iTemperature = rand()%110;
    iBarometricPressure = rand()%50;
    iHumidity = rand()%100;
}

void WeatherStation::Broadcast (void)
{
    oBroadcaster.BroadcastWindData(iSpeed, iDirection);
    oBroadcaster.BroadcastAirData(iTemperature,
                                iBarometricPressure,
                                iHumidity);
}

void WeatherStation::TornadoWarning (void)
{
    oBroadcaster.BroadcastTornadoWarning();
}

