#ifndef _register_h_
#define _register_h_

//  Module: REGISTER.H

#include "CHNNLDEF.H"

class Register {
    void *opWindDataChannel;
    void *opAirDataChannel;
    void *opTornadoWarningChannel;
public:
    int Connect (WindData *op);
    int Disconnect (WindData *op);
    int ChannelStatus (WindData *)
    {return opWindDataChannel!=NULL;}
    void ExecuteWindData (int iSpeed, int iDirection);
    int Connect (AirData *op);
    int Disconnect (AirData *op);
    int ChannelStatus (AirData *)
    {return opAirDataChannel!=NULL;}
    int ExecuteAirData (int iTemperature,
              int iBarometricPressure,
              int iHumdity);
    int Connect (TornadoWarning *op);
    int Disconnect (TornadoWarning *op);
    int ChannelStatus (TornadoWarning *)
    {return opTornadoWarningChannel!=NULL;}
    void ExecuteTornadoWarning (void);
};

    extern Register    oRegister;

#endif
