                                                          September 20, 1993
                                                          Fairfield, Iowa

                Register Wizard User's Manual

INSTALLATION:

The Register Wizard is distributed in a compressed file, WIZTOOLS.ZIP
Use PKWARE's PKUNZIP to extract the contents of this file as follows:

c:\WIZTOOLS>PKUNZIP -d WIZTOOLS.ZIP

NOTE: The "-d" option creates two subdirectories,  ".\REGWIZ" and
      ".\REGWIZ\EXAMPLE"


REGISTER CHANNEL THEORY:

A Register provide a link for a server available to clients.  Clients use
function Execute to invoke a server.  If no server is connected to the
register than a default value is returned.

Servers use functions Connect and Disconnect make themselves available
to clients.  If another server is already connected and a new server
attempts to connect, then the new server is refused.

See the example to get a better understanding of this concept.


REGISTER WIZARD USE:

The Register Wizard reads a channel specification file and generates
four files:

    1) CHNNLDEF.H   -- Declares each channel specified as a class.
    2) REGISTER.H   -- Declares class Register which includes methods
                       for each register channel.
    3) REGISTER.CPP -- Defines the class Register's methods.
    4) APP.CPP      -- Code templates available for a programmer to use
                       writing broadcast channel client and servers.

Usage: >REGWIZ <specification file name>

Each Register Channel is specified as a C++ function prototype in the
channel specification file.  An entry in this file has the following format:

<register server function prototype> [default return value];

where: "[default return value]" is optional; it defaults to 0.

IMPORTANT: The function prototype used to declare a server
           must include argument type specifiers AND argument names.
           
There can be up to 200 entries in the specification file.

Build your project with output file REGISTER.CPP    Include files
CHNNLDEF.H and REGISTER.H when writing client/server modules.


EXAMPLE:

If you unzipped the distribution file with the "-d" option then an example
subdirectory ".\REGWIZ\EXAMPLE" was created.  Read file "README.TXT" in this
subdirectory for an explanation of the example.


SOURCE CODE:

If you unzipped the distribution file with the "-d" option then the Register 
Wizard's source code was stored in subdirectory ".\REGWIZ"   The Wizard's 
source code is supplied because you may want to modify this program to satisfy 
your personal coding style. Read file "REGWIZ.TXT" in subdirectory ".\REGWIZ" 
for a description of the design of the Wizard program. 


SUPPORT:

For more information, contact:

Rob Buck
The Aerosoft Company
51 N. Cromwell
Fairfield, IA  52556
(515) 472-7586
CompuServe: 72260,3551

