#ifndef _roster_h_
#define _roster_h_

//  Module: ROSTER.H

#include "CHANNEL.H"
#include "CHNNLDEF.H"

class Roster {
    Channel oWindDataChannel;
    Channel oAirDataChannel;
    Channel oTornadoWarningChannel;
public:
    int Connect (WindData *op);
    int Disconnect (WindData *op);
    int ChannelStatus (WindData *)
    {return oWindDataChannel.Status();}
    void *First (WindData *);
    void *Next (WindData *);
    int Connect (AirData *op);
    int Disconnect (AirData *op);
    int ChannelStatus (AirData *)
    {return oAirDataChannel.Status();}
    void *First (AirData *);
    void *Next (AirData *);
    int Connect (TornadoWarning *op);
    int Disconnect (TornadoWarning *op);
    int ChannelStatus (TornadoWarning *)
    {return oTornadoWarningChannel.Status();}
    void *First (TornadoWarning *);
    void *Next (TornadoWarning *);
};

    extern Roster    oRoster;

#endif
