//  Module: SERVER.CPP

#include    <stdio.h>
#include    "SERVER.H"

void Airport::ServeWindData (int iSpeed, int iDirection)
{
    printf("At airport: %s --\n", caName);
    printf("    Wind = %d knots at %d'\n", iSpeed, iDirection);
}
                            
int  Airport::ServeAirData (int iTemperature,
                           int iBarometricPressure,
                           int iHumidity)
{
    printf("At airport: %s --\n", caName);
    printf("    Air = %d degs, %d mbg, %d percent humidity\n",
                        iTemperature,
                        iBarometricPressure,
                        iHumidity);
    return 1;                
}

void Airport::ServeTornadoWarning (void)
{
    printf("At airport: %s --\n", caName);
    printf("    Tornado!\n");
}

void FireDepartment::ServeWindData (int iSpeed, int iDirection)
{
    printf("At fire department --\n");
    printf("    Wind = %d knots at %d'\n", iSpeed, iDirection);
}
                            
int FireDepartment::ServeAirData (int iTemperature,
                           int iBarometricPressure,
                           int iHumidity)
{
    printf("At fire department --\n");
    printf("    Air = %d degs, %d mbg, %d percent humidity\n",
                        iTemperature,
                        iBarometricPressure,
                        iHumidity);
    return 1;                    
}

void FireDepartment::ServeTornadoWarning (void)
{
    printf("At fire department --\n");
    printf("    Tornado!\n");
}

void School::ServeTornadoWarning (void)
{
    printf("At school --\n");
    printf("    Tornado!\n");
}
