//  Module: APP.CPP

//  Cut and paste the contents of this module to create
//  application code.  There are two sections: Producer
//  calls and Consumer methods.

#include "CHNNLDEF.H"

//  Producer calls --

    oBroadcast.BroadcastWindData(iSpeed, iDirection);
    oBroadcast.BroadcastAirData(iTemperature, iBarometricPressure, iHumdity);
    oBroadcast.BroadcastTornadoWarning();

//  Consumer methods --

class Consumer1 : public WindData {
public:
    void ReceiveWindData (int iSpeed, int iDirection);
};
void Consumer1::ReceiveWindData (int iSpeed, int iDirection) {}

class Consumer2 : public AirData {
public:
    void ReceiveAirData (int iTemperature,
         int iBarometricPressure,
         int iHumdity);
};
void Consumer2::ReceiveAirData (int iTemperature,
         int iBarometricPressure,
         int iHumdity) {}

class Consumer3 : public TornadoWarning {
public:
    void ReceiveTornadoWarning (void);
};
void Consumer3::ReceiveTornadoWarning (void) {}

