//  Module: CLIENT.CPP

#include    <stdlib.h>
#include    "CLIENT.H"

void WeatherStation::ReadSensors (void)         // Simulation
{
    iSpeed = rand()%100;
    iDirection = rand()%360;
    iTemperature = rand()%110;
    iBarometricPressure = rand()%50;
    iHumidity = rand()%100;
}

void WeatherStation::Broadcast (void)
{
    oRegister.ExecuteWindData(iSpeed, iDirection);
    oRegister.ExecuteAirData(iTemperature,
                                iBarometricPressure,
                                iHumidity);
}

void WeatherStation::TornadoWarning (void)
{
    oRegister.ExecuteTornadoWarning();
}

