#ifndef _client_h_
#define _client_h_

//  Module: CLIENT.H

#include    "REGISTER.H"

class WeatherStation
{
    int         iSpeed;
    int         iDirection;
    int         iTemperature;
    int         iBarometricPressure;
    int         iHumidity;
public:
    WeatherStation (void) {ReadSensors();}
    void ReadSensors (void);
    void Broadcast (void);
    void Update (void) {ReadSensors(); Broadcast();}
    void TornadoWarning (void);
};

#endif
