//  Module: CONSUMER.CPP

#include    <stdio.h>
#include    "CONSUMER.H"

void Airport::ReceiveWindData (int iSpeed, int iDirection)
{
    printf("At airport: %s --\n", caName);
    printf("    Wind = %d knots at %d'\n", iSpeed, iDirection);
}
                            
void Airport::ReceiveAirData (int iTemperature,
                           int iBarometricPressure,
                           int iHumidity)
{
    printf("At airport: %s --\n", caName);
    printf("    Air = %d degs, %d mbg, %d percent humidity\n",
                        iTemperature,
                        iBarometricPressure,
                        iHumidity);
}

void Airport::ReceiveTornadoWarning (void)
{
    printf("At airport: %s --\n", caName);
    printf("    Tornado!\n");
}

void FireDepartment::ReceiveWindData (int iSpeed, int iDirection)
{
    printf("At fire department --\n");
    printf("    Wind = %d knots at %d'\n", iSpeed, iDirection);
}
                            
void FireDepartment::ReceiveAirData (int iTemperature,
                           int iBarometricPressure,
                           int iHumidity)
{
    printf("At fire department --\n");
    printf("    Air = %d degs, %d mbg, %d percent humidity\n",
                        iTemperature,
                        iBarometricPressure,
                        iHumidity);
}

void FireDepartment::ReceiveTornadoWarning (void)
{
    printf("At fire department --\n");
    printf("    Tornado!\n");
}

void School::ReceiveTornadoWarning (void)
{
    printf("At school --\n");
    printf("    Tornado!\n");
}
