.AUTODEPEND

#		*Translator Definitions*
# Root directory, change as appropriate
ROOT = C:\BORLANDC

#compiler, assumed in ROOT\bin directory
CC = $(ROOT)\bin\bcc +CPP.CFG

#Library and Include directory
LIBPATH = $(ROOT)\LIB;$(ROOT)\TVISION\LIB
INCLUDEPATH = $(ROOT)\INCLUDE;$(ROOT)\TVISION\INCLUDE


#		*Implicit Rules*
.cpp.obj:
  $(CC) -c -f- {$< }

#		*List Macros*

EXE_dependencies1 =  \
 cpprsrc.obj \
 readscpt.obj \
 tinplong.obj \
 tcolortx.obj \
 sinplong.obj \
 scolortx.obj

EXE_dependencies =  \
 cppsrc1.obj \
 readscpt.obj

EXE_dependencies2 =  \
 cppsrc2.obj \
 readscpt.obj

#		*Explicit Rules*
def: readscpt1 all

noblink: readscpt2 all

readscpt1: cpp.cfg readscpt.cpp
  $(CC) +CPP.CFG -c -f- readscpt.cpp

readscpt2: cpp.cfg readscpt.cpp
  $(CC) +CPP.CFG -c -f- -DNoBlink readscpt.cpp

all: cppsrc1.exe cppsrc2.exe cpprsrc.exe delete

cpprsrc.exe: cpp.cfg $(EXE_dependencies1)
  tlink /x/c/P-/L$(LIBPATH) @&&|
c0l.obj+
cpprsrc.obj+
readscpt.obj+
tinplong.obj+
tcolortx.obj+
sinplong.obj+
scolortx.obj
cpprsrc
     #no map file -- leave blank
tv.lib+
#emu.lib+
#mathl.lib+
cl.lib
|


cppsrc1.exe: cpp.cfg $(EXE_dependencies)
  tlink /x/c/P-/L$(LIBPATH) @&&|
c0l.obj+
cppsrc1.obj+
readscpt.obj
cppsrc1
     #no map file -- leave blank
tv.lib+
#emu.lib+
#mathl.lib+
cl.lib
|

cppsrc2.exe: cpp.cfg $(EXE_dependencies2)
  tlink /x/c/P-/L$(LIBPATH) @&&|
c0l.obj+
cppsrc2.obj+
readscpt.obj
cppsrc2
     #no map file -- leave blank
tv.lib+
#emu.lib+
#mathl.lib+
cl.lib
|

delete:
   del cpprsrc.obj
   del readscpt.obj
   del tinplong.obj
   del sinplong.obj
   del scolortx.obj
   del cppsrc1.obj
   del cppsrc2.obj
   del cpp.cfg


#		*Individual File Dependencies*
cpprsrc.obj: cpp.cfg cpprsrc.cpp
tinplong.obj: cpp.cfg tinplong.cpp
sinplong.obj: cpp.cfg sinplong.cpp
scolortx.obj: cpp.cfg scolortx.cpp

cppsrc1.obj: cpp.cfg cppsrc1.cpp
cppsrc2.obj: cpp.cfg cppsrc2.cpp

#		*Compiler Configuration File*
cpp.cfg: cpp.mak
  copy &&|
-ml
-O
-Oe
-Ob
-Z
-k-
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
| cpp.cfg


