#ifndef _instream_h_
#define _instream_h_

//  Module: INSTREAM.H

//                                                   September 20, 1993
//                                                   Fairfield, Iowa

//          Aerosoft  (R)  Broadcast Channel Wizard   Version 1.0
//          Copyright (c)  Aerosoft 1993     All rights reserved.

//          This software source code is FREEWARE.  You may be use the
//          source code or redistribute the source code free of charge.
//          However, you cannot sell this source code or any alteration of
//          the source code.

//  This module declares class InStream.  See file BCWIZ.TXT for a
//  description of the use of this class.

#include    <stdio.h>

#define BUFFSIZE    1000

class   InStream
{
    FILE    *fid;
    char    caBuff[BUFFSIZE];
    int     iNextCharToRead;
    int     iParsePoint;
    int		iLine;
    int		iColumn;
    int		iLen;
    int		iParenDepth;
    int ReadyBuffer (int iPoint);
	int SkipNestedParen (void);
public:
    InStream (char *cpName);
    void ResetParsing (void);
    int Line (void) {return iLine;}
    int Column (void) {return iColumn;}
    char *ParseForward (int &iLen);
    char *ParseNumber (int &iLen);
    char *ParseBackward (int &iLen);
};

#endif
